curl --request PUT \
--url https://{tenant}.ekso.app/api/mail/mailbox/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"connectionType": 123,
"server": "<string>",
"port": 123,
"inboxFolder": "<string>",
"categoryProcessed": "<string>",
"categorySkipped": "<string>",
"imapUsername": "<string>",
"imapPassword": "<string>",
"imapSmtpServer": "<string>",
"imapSmtpPort": 123,
"microsoftEmailAddress": "<string>",
"microsoftOAuthTenantId": "<string>",
"microsoftOAuthClientId": "<string>",
"microsoftOAuthClientSecret": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'curl --request PUT \
--url https://{tenant}.ekso.app/api/mail/mailbox/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"connectionType": 123,
"server": "<string>",
"port": 123,
"inboxFolder": "<string>",
"categoryProcessed": "<string>",
"categorySkipped": "<string>",
"imapUsername": "<string>",
"imapPassword": "<string>",
"imapSmtpServer": "<string>",
"imapSmtpPort": 123,
"microsoftEmailAddress": "<string>",
"microsoftOAuthTenantId": "<string>",
"microsoftOAuthClientId": "<string>",
"microsoftOAuthClientSecret": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
The unique identifier of the mailbox to update.
The updated mailbox configuration with plaintext credentials.
Mailbox updated successfully.